depends = ( 'Base',)
templates = (
  ('CannyEdgeDetectionImageFilter', 'itk::CannyEdgeDetectionImageFilter', 'itkCannyEdgeDetectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCannyEdgeDetectionImageFilterIF2IF2_Pointer', 'itk::CannyEdgeDetectionImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('CannyEdgeDetectionImageFilter', 'itk::CannyEdgeDetectionImageFilter', 'itkCannyEdgeDetectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCannyEdgeDetectionImageFilterIF3IF3_Pointer', 'itk::CannyEdgeDetectionImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleContourExtractorImageFilterIUC2IUC2_Pointer', 'itk::SimpleContourExtractorImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleContourExtractorImageFilterIUC3IUC3_Pointer', 'itk::SimpleContourExtractorImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleContourExtractorImageFilterIUS2IUS2_Pointer', 'itk::SimpleContourExtractorImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleContourExtractorImageFilterIUS3IUS3_Pointer', 'itk::SimpleContourExtractorImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleContourExtractorImageFilterISS2ISS2_Pointer', 'itk::SimpleContourExtractorImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleContourExtractorImageFilterISS3ISS3_Pointer', 'itk::SimpleContourExtractorImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleContourExtractorImageFilterIF2IF2_Pointer', 'itk::SimpleContourExtractorImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimpleContourExtractorImageFilterIF3IF3_Pointer', 'itk::SimpleContourExtractorImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('SobelEdgeDetectionImageFilter', 'itk::SobelEdgeDetectionImageFilter', 'itkSobelEdgeDetectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSobelEdgeDetectionImageFilterIF2IF2_Pointer', 'itk::SobelEdgeDetectionImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('SobelEdgeDetectionImageFilter', 'itk::SobelEdgeDetectionImageFilter', 'itkSobelEdgeDetectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSobelEdgeDetectionImageFilterIF3IF3_Pointer', 'itk::SobelEdgeDetectionImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ZeroCrossingBasedEdgeDetectionImageFilter', 'itk::ZeroCrossingBasedEdgeDetectionImageFilter', 'itkZeroCrossingBasedEdgeDetectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkZeroCrossingBasedEdgeDetectionImageFilterIF2IF2_Pointer', 'itk::ZeroCrossingBasedEdgeDetectionImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ZeroCrossingBasedEdgeDetectionImageFilter', 'itk::ZeroCrossingBasedEdgeDetectionImageFilter', 'itkZeroCrossingBasedEdgeDetectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkZeroCrossingBasedEdgeDetectionImageFilterIF3IF3_Pointer', 'itk::ZeroCrossingBasedEdgeDetectionImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkZeroCrossingImageFilterISS2ISS2_Pointer', 'itk::ZeroCrossingImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkZeroCrossingImageFilterISS3ISS3_Pointer', 'itk::ZeroCrossingImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkZeroCrossingImageFilterIF2IF2_Pointer', 'itk::ZeroCrossingImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkZeroCrossingImageFilterIF3IF3_Pointer', 'itk::ZeroCrossingImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
)
