depends = ( 'Base', 'BaseNumerics',)
templates = (
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSparseFieldLevelSetImageFilterIF2IF2_Pointer', 'itk::SparseFieldLevelSetImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSparseFieldLevelSetImageFilterIF3IF3_Pointer', 'itk::SparseFieldLevelSetImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIF2', 'itk::Image< float,2 >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIF3', 'itk::Image< float,3 >'),
  ('Image', 'itk::Image', 'itkImageNBNIF22', 'itk::NormalBandNode< itk::Image< float,2 > >*, 2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageNBNIF22_Pointer', 'itk::Image< itk::NormalBandNode< itk::Image< float,2 > >*, 2 >'),
  ('Image', 'itk::Image', 'itkImageNBNIF33', 'itk::NormalBandNode< itk::Image< float,3 > >*, 3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageNBNIF33_Pointer', 'itk::Image< itk::NormalBandNode< itk::Image< float,3 > >*, 3 >'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSparseFieldFourthOrderLevelSetImageFilterIF2IF2_Pointer', 'itk::SparseFieldFourthOrderLevelSetImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSparseFieldFourthOrderLevelSetImageFilterIF3IF3_Pointer', 'itk::SparseFieldFourthOrderLevelSetImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSegmentationLevelSetImageFilterIF2IF2F_Pointer', 'itk::SegmentationLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSegmentationLevelSetImageFilterIF3IF3F_Pointer', 'itk::SegmentationLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkShapePriorSegmentationLevelSetImageFilterIF2IF2F_Pointer', 'itk::ShapePriorSegmentationLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkShapePriorSegmentationLevelSetImageFilterIF3IF3F_Pointer', 'itk::ShapePriorSegmentationLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastMarchingImageFilterIF2IF2_Pointer', 'itk::FastMarchingImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastMarchingImageFilterIF3IF3_Pointer', 'itk::FastMarchingImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAnisotropicFourthOrderLevelSetImageFilterIF2IF2_Pointer', 'itk::AnisotropicFourthOrderLevelSetImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAnisotropicFourthOrderLevelSetImageFilterIF3IF3_Pointer', 'itk::AnisotropicFourthOrderLevelSetImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('AntiAliasBinaryImageFilter', 'itk::AntiAliasBinaryImageFilter', 'itkAntiAliasBinaryImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAntiAliasBinaryImageFilterIF2IF2_Pointer', 'itk::AntiAliasBinaryImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('AntiAliasBinaryImageFilter', 'itk::AntiAliasBinaryImageFilter', 'itkAntiAliasBinaryImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAntiAliasBinaryImageFilterIF3IF3_Pointer', 'itk::AntiAliasBinaryImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCannySegmentationLevelSetImageFilterIF2IF2F_Pointer', 'itk::CannySegmentationLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCannySegmentationLevelSetImageFilterIF3IF3F_Pointer', 'itk::CannySegmentationLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCollidingFrontsImageFilterIF2IF2_Pointer', 'itk::CollidingFrontsImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCollidingFrontsImageFilterIF3IF3_Pointer', 'itk::CollidingFrontsImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCurvesLevelSetImageFilterIF2IF2F_Pointer', 'itk::CurvesLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCurvesLevelSetImageFilterIF3IF3F_Pointer', 'itk::CurvesLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterIF2UC1IF2', 'itk::Image< float,2 >, unsigned char, 1, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastMarchingExtensionImageFilterIF2UC1IF2_Pointer', 'itk::FastMarchingExtensionImageFilter< itk::Image< float,2 >, unsigned char, 1, itk::Image< float,2 > >'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterIF3UC1IF3', 'itk::Image< float,3 >, unsigned char, 1, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastMarchingExtensionImageFilterIF3UC1IF3_Pointer', 'itk::FastMarchingExtensionImageFilter< itk::Image< float,3 >, unsigned char, 1, itk::Image< float,3 > >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastMarchingUpwindGradientImageFilterIF2IF2_Pointer', 'itk::FastMarchingUpwindGradientImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastMarchingUpwindGradientImageFilterIF3IF3_Pointer', 'itk::FastMarchingUpwindGradientImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGeodesicActiveContourLevelSetImageFilterIF2IF2F_Pointer', 'itk::GeodesicActiveContourLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGeodesicActiveContourLevelSetImageFilterIF3IF3F_Pointer', 'itk::GeodesicActiveContourLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF2IF2F_Pointer', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF3IF3F_Pointer', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIsotropicFourthOrderLevelSetImageFilterIF2IF2_Pointer', 'itk::IsotropicFourthOrderLevelSetImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIsotropicFourthOrderLevelSetImageFilterIF3IF3_Pointer', 'itk::IsotropicFourthOrderLevelSetImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianSegmentationLevelSetImageFilterIF2IF2F_Pointer', 'itk::LaplacianSegmentationLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianSegmentationLevelSetImageFilterIF3IF3F_Pointer', 'itk::LaplacianSegmentationLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetFunctionIF2_Pointer', 'itk::LevelSetFunction< itk::Image< float,2 > >'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetFunctionIF3_Pointer', 'itk::LevelSetFunction< itk::Image< float,3 > >'),
  ('NarrowBandImageFilterBase', 'itk::NarrowBandImageFilterBase', 'itkNarrowBandImageFilterBaseIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandImageFilterBaseIF2IF2_Pointer', 'itk::NarrowBandImageFilterBase< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('NarrowBandImageFilterBase', 'itk::NarrowBandImageFilterBase', 'itkNarrowBandImageFilterBaseIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandImageFilterBaseIF3IF3_Pointer', 'itk::NarrowBandImageFilterBase< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandLevelSetImageFilterIF2IF2F_Pointer', 'itk::NarrowBandLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandLevelSetImageFilterIF3IF3F_Pointer', 'itk::NarrowBandLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF2IF2F_Pointer', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF3IF3F_Pointer', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkParallelSparseFieldLevelSetImageFilterIF2IF2_Pointer', 'itk::ParallelSparseFieldLevelSetImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkParallelSparseFieldLevelSetImageFilterIF3IF3_Pointer', 'itk::ParallelSparseFieldLevelSetImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSegmentationLevelSetFunctionIF2IF2_Pointer', 'itk::SegmentationLevelSetFunction< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSegmentationLevelSetFunctionIF3IF3_Pointer', 'itk::SegmentationLevelSetFunction< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkShapeDetectionLevelSetImageFilterIF2IF2F_Pointer', 'itk::ShapeDetectionLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkShapeDetectionLevelSetImageFilterIF3IF3F_Pointer', 'itk::ShapeDetectionLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
  ('SpatialFunction', 'itk::SpatialFunction', 'itkSpatialFunctionD2PD2', 'double,2,itk::Point< double,2 >'),
  ('SpatialFunction', 'itk::SpatialFunction', 'itkSpatialFunctionD3PD3', 'double,3,itk::Point< double,3 >'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkThresholdSegmentationLevelSetImageFilterIF2IF2F_Pointer', 'itk::ThresholdSegmentationLevelSetImageFilter< itk::Image< float,2 >,itk::Image< float,2 >,float >'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkThresholdSegmentationLevelSetImageFilterIF3IF3F_Pointer', 'itk::ThresholdSegmentationLevelSetImageFilter< itk::Image< float,3 >,itk::Image< float,3 >,float >'),
)
