depends = ( 'Base',)
templates = (
  ('TransformBase', 'itk::TransformBase', 'itkTransformBase'),
  ('SmartPointer', 'itk::SmartPointer', 'itkTransformBase_Pointer', 'itk::TransformBase'),
  ('Transform', 'itk::Transform', 'itkTransformD22', 'double,2,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkTransformD22_Pointer', 'itk::Transform< double,2,2 >'),
  ('Transform', 'itk::Transform', 'itkTransformD32', 'double,3,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkTransformD32_Pointer', 'itk::Transform< double,3,2 >'),
  ('Transform', 'itk::Transform', 'itkTransformD33', 'double,3,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkTransformD33_Pointer', 'itk::Transform< double,3,3 >'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseD22', 'double,2,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMatrixOffsetTransformBaseD22_Pointer', 'itk::MatrixOffsetTransformBase< double,2,2 >'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseD33', 'double,3,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMatrixOffsetTransformBaseD33_Pointer', 'itk::MatrixOffsetTransformBase< double,3,3 >'),
  ('Rigid2DTransform', 'itk::Rigid2DTransform', 'itkRigid2DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRigid2DTransformD_Pointer', 'itk::Rigid2DTransform< double >'),
  ('Rigid3DTransform', 'itk::Rigid3DTransform', 'itkRigid3DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRigid3DTransformD_Pointer', 'itk::Rigid3DTransform< double >'),
  ('Euler2DTransform', 'itk::Euler2DTransform', 'itkEuler2DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkEuler2DTransformD_Pointer', 'itk::Euler2DTransform< double >'),
  ('Euler3DTransform', 'itk::Euler3DTransform', 'itkEuler3DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkEuler3DTransformD_Pointer', 'itk::Euler3DTransform< double >'),
  ('VersorTransform', 'itk::VersorTransform', 'itkVersorTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVersorTransformD_Pointer', 'itk::VersorTransform< double >'),
  ('VersorRigid3DTransform', 'itk::VersorRigid3DTransform', 'itkVersorRigid3DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVersorRigid3DTransformD_Pointer', 'itk::VersorRigid3DTransform< double >'),
  ('Similarity2DTransform', 'itk::Similarity2DTransform', 'itkSimilarity2DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimilarity2DTransformD_Pointer', 'itk::Similarity2DTransform< double >'),
  ('Similarity3DTransform', 'itk::Similarity3DTransform', 'itkSimilarity3DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSimilarity3DTransformD_Pointer', 'itk::Similarity3DTransform< double >'),
  ('AffineTransform', 'itk::AffineTransform', 'itkAffineTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAffineTransformD2_Pointer', 'itk::AffineTransform< double,2 >'),
  ('AffineTransform', 'itk::AffineTransform', 'itkAffineTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAffineTransformD3_Pointer', 'itk::AffineTransform< double,3 >'),
  ('ScalableAffineTransform', 'itk::ScalableAffineTransform', 'itkScalableAffineTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkScalableAffineTransformD2_Pointer', 'itk::ScalableAffineTransform< double,2 >'),
  ('ScalableAffineTransform', 'itk::ScalableAffineTransform', 'itkScalableAffineTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkScalableAffineTransformD3_Pointer', 'itk::ScalableAffineTransform< double,3 >'),
  ('ScaleTransform', 'itk::ScaleTransform', 'itkScaleTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkScaleTransformD2_Pointer', 'itk::ScaleTransform< double,2 >'),
  ('ScaleTransform', 'itk::ScaleTransform', 'itkScaleTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkScaleTransformD3_Pointer', 'itk::ScaleTransform< double,3 >'),
  ('CenteredEuler3DTransform', 'itk::CenteredEuler3DTransform', 'itkCenteredEuler3DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCenteredEuler3DTransformD_Pointer', 'itk::CenteredEuler3DTransform< double >'),
  ('CenteredRigid2DTransform', 'itk::CenteredRigid2DTransform', 'itkCenteredRigid2DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCenteredRigid2DTransformD_Pointer', 'itk::CenteredRigid2DTransform< double >'),
  ('CenteredSimilarity2DTransform', 'itk::CenteredSimilarity2DTransform', 'itkCenteredSimilarity2DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCenteredSimilarity2DTransformD_Pointer', 'itk::CenteredSimilarity2DTransform< double >'),
  ('Rigid3DPerspectiveTransform', 'itk::Rigid3DPerspectiveTransform', 'itkRigid3DPerspectiveTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRigid3DPerspectiveTransformD_Pointer', 'itk::Rigid3DPerspectiveTransform< double >'),
  ('ScaleSkewVersor3DTransform', 'itk::ScaleSkewVersor3DTransform', 'itkScaleSkewVersor3DTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkScaleSkewVersor3DTransformD_Pointer', 'itk::ScaleSkewVersor3DTransform< double >'),
  ('AzimuthElevationToCartesianTransform', 'itk::AzimuthElevationToCartesianTransform', 'itkAzimuthElevationToCartesianTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAzimuthElevationToCartesianTransformD2_Pointer', 'itk::AzimuthElevationToCartesianTransform< double,2 >'),
  ('AzimuthElevationToCartesianTransform', 'itk::AzimuthElevationToCartesianTransform', 'itkAzimuthElevationToCartesianTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAzimuthElevationToCartesianTransformD3_Pointer', 'itk::AzimuthElevationToCartesianTransform< double,3 >'),
  ('CenteredAffineTransform', 'itk::CenteredAffineTransform', 'itkCenteredAffineTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCenteredAffineTransformD2_Pointer', 'itk::CenteredAffineTransform< double,2 >'),
  ('CenteredAffineTransform', 'itk::CenteredAffineTransform', 'itkCenteredAffineTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCenteredAffineTransformD3_Pointer', 'itk::CenteredAffineTransform< double,3 >'),
  ('FixedCenterOfRotationAffineTransform', 'itk::FixedCenterOfRotationAffineTransform', 'itkFixedCenterOfRotationAffineTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFixedCenterOfRotationAffineTransformD2_Pointer', 'itk::FixedCenterOfRotationAffineTransform< double,2 >'),
  ('FixedCenterOfRotationAffineTransform', 'itk::FixedCenterOfRotationAffineTransform', 'itkFixedCenterOfRotationAffineTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFixedCenterOfRotationAffineTransformD3_Pointer', 'itk::FixedCenterOfRotationAffineTransform< double,3 >'),
  ('IdentityTransform', 'itk::IdentityTransform', 'itkIdentityTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIdentityTransformD2_Pointer', 'itk::IdentityTransform< double,2 >'),
  ('IdentityTransform', 'itk::IdentityTransform', 'itkIdentityTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIdentityTransformD3_Pointer', 'itk::IdentityTransform< double,3 >'),
  ('QuaternionRigidTransform', 'itk::QuaternionRigidTransform', 'itkQuaternionRigidTransformD', 'double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkQuaternionRigidTransformD_Pointer', 'itk::QuaternionRigidTransform< double >'),
  ('ScaleLogarithmicTransform', 'itk::ScaleLogarithmicTransform', 'itkScaleLogarithmicTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkScaleLogarithmicTransformD2_Pointer', 'itk::ScaleLogarithmicTransform< double,2 >'),
  ('ScaleLogarithmicTransform', 'itk::ScaleLogarithmicTransform', 'itkScaleLogarithmicTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkScaleLogarithmicTransformD3_Pointer', 'itk::ScaleLogarithmicTransform< double,3 >'),
  ('TranslationTransform', 'itk::TranslationTransform', 'itkTranslationTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkTranslationTransformD2_Pointer', 'itk::TranslationTransform< double,2 >'),
  ('TranslationTransform', 'itk::TranslationTransform', 'itkTranslationTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkTranslationTransformD3_Pointer', 'itk::TranslationTransform< double,3 >'),
)
